Liblinphone: linphone::ChatRoomParams Class Reference

Liblinphone 5.0.0

Public Member Functions | List of all members
linphone::ChatRoomParams Class Reference

Object defining parameters for a ChatRoom. More...

`#include <chat_room_params.hh>`

Inheritance diagram for linphone::ChatRoomParams:

## Public Member Functions
| ChatRoomParams (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneChatRoomParams * | cPtr ()
LINPHONECXX_PUBLIC linphone::ChatRoomBackend | getBackend () const
| Get the backend implementation of the chat room associated with the given parameters. More...
LINPHONECXX_PUBLIC void | setBackend (linphone::ChatRoomBackend backend)
| Set the backend implementation of these chat room parameters. More...
LINPHONECXX_PUBLIC linphone::ChatRoomEncryptionBackend | getEncryptionBackend () const
| Get the encryption implementation of the chat room associated with the given parameters. More...
LINPHONECXX_PUBLIC void | setEncryptionBackend (linphone::ChatRoomEncryptionBackend backend)
| Set the encryption backend implementation of these chat room parameters. More...
LINPHONECXX_PUBLIC bool | encryptionEnabled () const
| Get the encryption status of the chat room associated with the given parameters. More...
LINPHONECXX_PUBLIC void | enableEncryption (bool encrypted)
| Enables or disables encryption for the chat room associated with the given parameters.
LINPHONECXX_PUBLIC bool | groupEnabled () const
| Get the group chat status of the chat room associated with the given parameters. More...
LINPHONECXX_PUBLIC void | enableGroup (bool group)
| Enables or disables group chat for the chat room associated with the given parameters.
LINPHONECXX_PUBLIC bool | isValid () const
| Returns whether the given parameters are valid or not. More...
LINPHONECXX_PUBLIC bool | rttEnabled () const
| Get the real time text status of the chat room associated with the given parameters. More...
LINPHONECXX_PUBLIC void | enableRtt (bool rtt)
| Enables or disables real time text for the chat room associated with the given parameters.
LINPHONECXX_PUBLIC std::string | getSubject ()
| Get the subject of the chat room. More...
LINPHONECXX_PUBLIC void | setSubject (const std::string &subject)
| Set the subject of the chat room. More...

## Detailed Description

Object defining parameters for a ChatRoom.

Can be created with Core::createDefaultChatRoomParams(). You can use isValid() to check if your configuration is valid or not. If the ChatRoom backend is ChatRoomBackend::Basic, then no other parameter is required, but ChatMessage sent and received won't benefit from all features a ChatRoomBackend::FlexisipChat can offer like conversation with multiple participants and a subject, end-to-end encryption, ephemeral messages, etc... but this type is the only one that can interoperate with other SIP clients or with non-flexisip SIP proxies.

## Member Function Documentation

## ◆ encryptionEnabled()

LINPHONECXX_PUBLIC bool linphone::ChatRoomParams::encryptionEnabled | ( |  | ) | const

Get the encryption status of the chat room associated with the given parameters.

Returns
  true if encryption is enabled, false otherwise

## ◆ getBackend()

LINPHONECXX_PUBLIC linphone::ChatRoomBackend linphone::ChatRoomParams::getBackend | ( |  | ) | const

Get the backend implementation of the chat room associated with the given parameters.

Returns
  the ChatRoomBackend

## ◆ getEncryptionBackend()

LINPHONECXX_PUBLIC linphone::ChatRoomEncryptionBackend linphone::ChatRoomParams::getEncryptionBackend | ( |  | ) | const

Get the encryption implementation of the chat room associated with the given parameters.

Returns
  the ChatRoomEncryptionBackend

## ◆ getSubject()

LINPHONECXX_PUBLIC std::string linphone::ChatRoomParams::getSubject | ( |  | ) |

Get the subject of the chat room.

Returns
  The subject.

## ◆ groupEnabled()

LINPHONECXX_PUBLIC bool linphone::ChatRoomParams::groupEnabled | ( |  | ) | const

Get the group chat status of the chat room associated with the given parameters.

Returns
  true if group chat is enabled, false if one-to-one

## ◆ isValid()

LINPHONECXX_PUBLIC bool linphone::ChatRoomParams::isValid | ( |  | ) | const

Returns whether the given parameters are valid or not.

Returns
  true if the given parameters are valid, false otherwise

## ◆ rttEnabled()

LINPHONECXX_PUBLIC bool linphone::ChatRoomParams::rttEnabled | ( |  | ) | const

Get the real time text status of the chat room associated with the given parameters.

Returns
  true if real time text is enabled, false otherwise

## ◆ setBackend()

LINPHONECXX_PUBLIC void linphone::ChatRoomParams::setBackend | ( | linphone::ChatRoomBackend | backend | ) |

Set the backend implementation of these chat room parameters.

Parameters

  backend | The ChatRoomBackend enum value

## ◆ setEncryptionBackend()

LINPHONECXX_PUBLIC void linphone::ChatRoomParams::setEncryptionBackend | ( | linphone::ChatRoomEncryptionBackend | backend | ) |

Set the encryption backend implementation of these chat room parameters.

Parameters

  backend | The ChatRoomEncryptionBackend enum value

## ◆ setSubject()

LINPHONECXX_PUBLIC void linphone::ChatRoomParams::setSubject | ( | const std::string & | subject | ) |

Set the subject of the chat room.

Parameters

  subject | The subject to set.

The documentation for this class was generated from the following file:

- chat_room_params.hh